Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2918)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2920)
@@ -8198,262 +8576,278 @@
 
 
-       SELECT CASE ( restart_string(1:length) )
-
-           CASE ( 'rad_net_av' )
-              IF ( .NOT. ALLOCATED( rad_net_av ) )  THEN
-                 ALLOCATE( rad_net_av(nysg:nyng,nxlg:nxrg) )
-              ENDIF  
-              IF ( k == 1 )  READ ( 13 )  tmp_2d
-              rad_net_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =           &
-                            tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-           CASE ( 'rad_lw_in' )
-              IF ( .NOT. ALLOCATED( rad_lw_in ) )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    ALLOCATE( rad_lw_in(0:0,nysg:nyng,nxlg:nxrg) )
-                 ELSE
-                    ALLOCATE( rad_lw_in(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                 ENDIF
-              ENDIF  
-              IF ( k == 1 )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    READ ( 13 )  tmp_3d2
-                    rad_lw_in(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =   &
-                       tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ELSE
-                    READ ( 13 )  tmp_3d
-                    rad_lw_in(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =     &
-                        tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ENDIF
-              ENDIF
-
-           CASE ( 'rad_lw_in_av' )
-              IF ( .NOT. ALLOCATED( rad_lw_in_av ) )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    ALLOCATE( rad_lw_in_av(0:0,nysg:nyng,nxlg:nxrg) )
-                 ELSE
-                    ALLOCATE( rad_lw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                 ENDIF
-              ENDIF  
-              IF ( k == 1 )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    READ ( 13 )  tmp_3d2
-                    rad_lw_in_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
-                        tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ELSE
-                    READ ( 13 )  tmp_3d
-                    rad_lw_in_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =  &
-                        tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ENDIF
-              ENDIF
-
-           CASE ( 'rad_lw_out' )
-              IF ( .NOT. ALLOCATED( rad_lw_out ) )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    ALLOCATE( rad_lw_out(0:0,nysg:nyng,nxlg:nxrg) )
-                 ELSE
-                    ALLOCATE( rad_lw_out(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                 ENDIF
-              ENDIF  
-              IF ( k == 1 )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    READ ( 13 )  tmp_3d2
-                    rad_lw_out(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =  &
-                        tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ELSE
-                    READ ( 13 )  tmp_3d
-                    rad_lw_out(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =    &
-                        tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ENDIF
-              ENDIF
-
-           CASE ( 'rad_lw_out_av' )
-              IF ( .NOT. ALLOCATED( rad_lw_out_av ) )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    ALLOCATE( rad_lw_out_av(0:0,nysg:nyng,nxlg:nxrg) )
-                 ELSE
-                    ALLOCATE( rad_lw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                 ENDIF
-              ENDIF  
-              IF ( k == 1 )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    READ ( 13 )  tmp_3d2
-                    rad_lw_out_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) &
-                       = tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ELSE
-                    READ ( 13 )  tmp_3d
-                    rad_lw_out_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                        tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ENDIF
-              ENDIF
-
-           CASE ( 'rad_lw_cs_hr' )
-              IF ( .NOT. ALLOCATED( rad_lw_cs_hr ) )  THEN
-                 ALLOCATE( rad_lw_cs_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-              ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d
-              rad_lw_cs_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
-                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-           CASE ( 'rad_lw_cs_hr_av' )
-              IF ( .NOT. ALLOCATED( rad_lw_cs_hr_av ) )  THEN
-                 ALLOCATE( rad_lw_cs_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-              ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d
-              rad_lw_cs_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =     &
-                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-           CASE ( 'rad_lw_hr' )
-              IF ( .NOT. ALLOCATED( rad_lw_hr ) )  THEN
-                 ALLOCATE( rad_lw_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-              ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d
-              rad_lw_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =           &
-                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-           CASE ( 'rad_lw_hr_av' )
-              IF ( .NOT. ALLOCATED( rad_lw_hr_av ) )  THEN
-                 ALLOCATE( rad_lw_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-              ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d
-              rad_lw_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
-                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-           CASE ( 'rad_sw_in' )
-              IF ( .NOT. ALLOCATED( rad_sw_in ) )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    ALLOCATE( rad_sw_in(0:0,nysg:nyng,nxlg:nxrg) )
-                 ELSE
-                    ALLOCATE( rad_sw_in(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                 ENDIF
-              ENDIF  
-              IF ( k == 1 )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    READ ( 13 )  tmp_3d2
-                    rad_sw_in(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =   &
-                        tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ELSE
-                    READ ( 13 )  tmp_3d
-                    rad_sw_in(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =     &
-                        tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ENDIF
-              ENDIF
-
-           CASE ( 'rad_sw_in_av' )
-              IF ( .NOT. ALLOCATED( rad_sw_in_av ) )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    ALLOCATE( rad_sw_in_av(0:0,nysg:nyng,nxlg:nxrg) )
-                 ELSE
-                    ALLOCATE( rad_sw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                 ENDIF
-              ENDIF  
-              IF ( k == 1 )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    READ ( 13 )  tmp_3d2
-                    rad_sw_in_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
-                        tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ELSE
-                    READ ( 13 )  tmp_3d
-                    rad_sw_in_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =  &
-                        tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ENDIF
-              ENDIF
-
-           CASE ( 'rad_sw_out' )
-              IF ( .NOT. ALLOCATED( rad_sw_out ) )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    ALLOCATE( rad_sw_out(0:0,nysg:nyng,nxlg:nxrg) )
-                 ELSE
-                    ALLOCATE( rad_sw_out(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                 ENDIF
-              ENDIF  
-              IF ( k == 1 )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    READ ( 13 )  tmp_3d2
-                    rad_sw_out(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =  &
-                        tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ELSE
-                    READ ( 13 )  tmp_3d
-                    rad_sw_out(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =    &
-                        tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ENDIF
-              ENDIF
-
-           CASE ( 'rad_sw_out_av' )
-              IF ( .NOT. ALLOCATED( rad_sw_out_av ) )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    ALLOCATE( rad_sw_out_av(0:0,nysg:nyng,nxlg:nxrg) )
-                 ELSE
-                    ALLOCATE( rad_sw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-                 ENDIF
-              ENDIF  
-              IF ( k == 1 )  THEN
-                 IF ( radiation_scheme == 'clear-sky'  .OR.                    &
-                      radiation_scheme == 'constant')  THEN
-                    READ ( 13 )  tmp_3d2
-                    rad_sw_out_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) &
-                       = tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ELSE
-                    READ ( 13 )  tmp_3d
-                    rad_sw_out_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                        tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                 ENDIF
-              ENDIF
-
-           CASE ( 'rad_sw_cs_hr' )
-              IF ( .NOT. ALLOCATED( rad_sw_cs_hr ) )  THEN
-                 ALLOCATE( rad_sw_cs_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-              ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d
-              rad_sw_cs_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
-                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-           CASE ( 'rad_sw_cs_hr_av' )
-              IF ( .NOT. ALLOCATED( rad_sw_cs_hr_av ) )  THEN
-                 ALLOCATE( rad_sw_cs_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-              ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d
-              rad_sw_cs_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =     &
-                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-           CASE ( 'rad_sw_hr' )
-              IF ( .NOT. ALLOCATED( rad_sw_hr ) )  THEN
-                 ALLOCATE( rad_sw_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-              ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d
-              rad_sw_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =           &
-                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-           CASE ( 'rad_sw_hr_av' )
-              IF ( .NOT. ALLOCATED( rad_sw_hr_av ) )  THEN
-                 ALLOCATE( rad_sw_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-              ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d
-              rad_lw_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
-                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-           CASE DEFAULT
-
-              found = .FALSE.
-
-       END SELECT
-
+    SELECT CASE ( restart_string(1:length) )
+
+       CASE ( 'rad_net_av' )
+          IF ( .NOT. ALLOCATED( rad_net_av ) )  THEN
+             ALLOCATE( rad_net_av(nysg:nyng,nxlg:nxrg) )
+          ENDIF  
+          IF ( k == 1 )  READ ( 13 )  tmp_2d
+          rad_net_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =           &
+                        tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+       CASE ( 'rad_lw_in' )
+          IF ( .NOT. ALLOCATED( rad_lw_in ) )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                ALLOCATE( rad_lw_in(0:0,nysg:nyng,nxlg:nxrg) )
+             ELSE
+                ALLOCATE( rad_lw_in(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ENDIF
+          ENDIF  
+          IF ( k == 1 )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                READ ( 13 )  tmp_3d2
+                rad_lw_in(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =   &
+                   tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ELSE
+                READ ( 13 )  tmp_3d
+                rad_lw_in(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =     &
+                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ENDIF
+          ENDIF
+
+       CASE ( 'rad_lw_in_av' )
+          IF ( .NOT. ALLOCATED( rad_lw_in_av ) )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                ALLOCATE( rad_lw_in_av(0:0,nysg:nyng,nxlg:nxrg) )
+             ELSE
+                ALLOCATE( rad_lw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ENDIF
+          ENDIF  
+          IF ( k == 1 )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                READ ( 13 )  tmp_3d2
+                rad_lw_in_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
+                    tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ELSE
+                READ ( 13 )  tmp_3d
+                rad_lw_in_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =  &
+                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ENDIF
+          ENDIF
+
+       CASE ( 'rad_lw_out' )
+          IF ( .NOT. ALLOCATED( rad_lw_out ) )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                ALLOCATE( rad_lw_out(0:0,nysg:nyng,nxlg:nxrg) )
+             ELSE
+                ALLOCATE( rad_lw_out(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ENDIF
+          ENDIF  
+          IF ( k == 1 )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                READ ( 13 )  tmp_3d2
+                rad_lw_out(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =  &
+                    tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ELSE
+                READ ( 13 )  tmp_3d
+                rad_lw_out(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =    &
+                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ENDIF
+          ENDIF
+
+       CASE ( 'rad_lw_out_av' )
+          IF ( .NOT. ALLOCATED( rad_lw_out_av ) )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                ALLOCATE( rad_lw_out_av(0:0,nysg:nyng,nxlg:nxrg) )
+             ELSE
+                ALLOCATE( rad_lw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ENDIF
+          ENDIF  
+          IF ( k == 1 )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                READ ( 13 )  tmp_3d2
+                rad_lw_out_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) &
+                   = tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ELSE
+                READ ( 13 )  tmp_3d
+                rad_lw_out_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
+                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ENDIF
+          ENDIF
+
+       CASE ( 'rad_lw_cs_hr' )
+          IF ( .NOT. ALLOCATED( rad_lw_cs_hr ) )  THEN
+             ALLOCATE( rad_lw_cs_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ENDIF
+          IF ( k == 1 )  READ ( 13 )  tmp_3d
+          rad_lw_cs_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
+                  tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
+       CASE ( 'rad_lw_cs_hr_av' )
+          IF ( .NOT. ALLOCATED( rad_lw_cs_hr_av ) )  THEN
+             ALLOCATE( rad_lw_cs_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ENDIF
+          IF ( k == 1 )  READ ( 13 )  tmp_3d
+          rad_lw_cs_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =     &
+                  tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
+       CASE ( 'rad_lw_hr' )
+          IF ( .NOT. ALLOCATED( rad_lw_hr ) )  THEN
+             ALLOCATE( rad_lw_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ENDIF
+          IF ( k == 1 )  READ ( 13 )  tmp_3d
+          rad_lw_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =           &
+                  tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
+       CASE ( 'rad_lw_hr_av' )
+          IF ( .NOT. ALLOCATED( rad_lw_hr_av ) )  THEN
+             ALLOCATE( rad_lw_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ENDIF
+          IF ( k == 1 )  READ ( 13 )  tmp_3d
+          rad_lw_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
+                  tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
+       CASE ( 'rad_sw_in' )
+          IF ( .NOT. ALLOCATED( rad_sw_in ) )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                ALLOCATE( rad_sw_in(0:0,nysg:nyng,nxlg:nxrg) )
+             ELSE
+                ALLOCATE( rad_sw_in(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ENDIF
+          ENDIF  
+          IF ( k == 1 )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                READ ( 13 )  tmp_3d2
+                rad_sw_in(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =   &
+                    tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ELSE
+                READ ( 13 )  tmp_3d
+                rad_sw_in(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =     &
+                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ENDIF
+          ENDIF
+
+       CASE ( 'rad_sw_in_av' )
+          IF ( .NOT. ALLOCATED( rad_sw_in_av ) )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                ALLOCATE( rad_sw_in_av(0:0,nysg:nyng,nxlg:nxrg) )
+             ELSE
+                ALLOCATE( rad_sw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ENDIF
+          ENDIF  
+          IF ( k == 1 )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                READ ( 13 )  tmp_3d2
+                rad_sw_in_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
+                    tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ELSE
+                READ ( 13 )  tmp_3d
+                rad_sw_in_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =  &
+                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ENDIF
+          ENDIF
+
+       CASE ( 'rad_sw_out' )
+          IF ( .NOT. ALLOCATED( rad_sw_out ) )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                ALLOCATE( rad_sw_out(0:0,nysg:nyng,nxlg:nxrg) )
+             ELSE
+                ALLOCATE( rad_sw_out(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ENDIF
+          ENDIF  
+          IF ( k == 1 )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                READ ( 13 )  tmp_3d2
+                rad_sw_out(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =  &
+                    tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ELSE
+                READ ( 13 )  tmp_3d
+                rad_sw_out(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =    &
+                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ENDIF
+          ENDIF
+
+       CASE ( 'rad_sw_out_av' )
+          IF ( .NOT. ALLOCATED( rad_sw_out_av ) )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                ALLOCATE( rad_sw_out_av(0:0,nysg:nyng,nxlg:nxrg) )
+             ELSE
+                ALLOCATE( rad_sw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ENDIF
+          ENDIF  
+          IF ( k == 1 )  THEN
+             IF ( radiation_scheme == 'clear-sky'  .OR.                    &
+                  radiation_scheme == 'constant')  THEN
+                READ ( 13 )  tmp_3d2
+                rad_sw_out_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) &
+                   = tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ELSE
+                READ ( 13 )  tmp_3d
+                rad_sw_out_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
+                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             ENDIF
+          ENDIF
+
+       CASE ( 'rad_sw_cs_hr' )
+          IF ( .NOT. ALLOCATED( rad_sw_cs_hr ) )  THEN
+             ALLOCATE( rad_sw_cs_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ENDIF
+          IF ( k == 1 )  READ ( 13 )  tmp_3d
+          rad_sw_cs_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
+                  tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
+       CASE ( 'rad_sw_cs_hr_av' )
+          IF ( .NOT. ALLOCATED( rad_sw_cs_hr_av ) )  THEN
+             ALLOCATE( rad_sw_cs_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ENDIF
+          IF ( k == 1 )  READ ( 13 )  tmp_3d
+          rad_sw_cs_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =     &
+                  tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
+       CASE ( 'rad_sw_hr' )
+          IF ( .NOT. ALLOCATED( rad_sw_hr ) )  THEN
+             ALLOCATE( rad_sw_hr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ENDIF
+          IF ( k == 1 )  READ ( 13 )  tmp_3d
+          rad_sw_hr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =           &
+                  tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
+       CASE ( 'rad_sw_hr_av' )
+          IF ( .NOT. ALLOCATED( rad_sw_hr_av ) )  THEN
+             ALLOCATE( rad_sw_hr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ENDIF
+          IF ( k == 1 )  READ ( 13 )  tmp_3d
+          rad_lw_hr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
+                  tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
+       CASE DEFAULT
+
+          found = .FALSE.
+
+    END SELECT
 
  END SUBROUTINE radiation_rrd_local
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Subroutine writes debug information
+!------------------------------------------------------------------------------!
+ SUBROUTINE radiation_write_debug_log ( message )
+    !> it writes debug log with time stamp
+    CHARACTER(*)  :: message
+    CHARACTER(15) :: dtc
+    CHARACTER(8)  :: date
+    CHARACTER(10) :: time
+    CHARACTER(5)  :: zone
+    CALL date_and_time(date, time, zone)
+    dtc = date(7:8)//','//time(1:2)//':'//time(3:4)//':'//time(5:10)
+    WRITE(9,'(2A)') dtc, TRIM(message)
+    FLUSH(9)
+ END SUBROUTINE radiation_write_debug_log
 
  END MODULE radiation_model_mod
Index: palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_mod.f90	(revision 2918)
+++ palm/trunk/SOURCE/surface_mod.f90	(revision 2920)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Correct comment for surface directions
+! 
+! 2894 2018-03-15 09:17:58Z Giersch
 ! Calculations of the index range of the subdomain on file which overlaps with
 ! the current subdomain are already done in read_restart_data_mod,
@@ -420,9 +423,9 @@
 
     TYPE (surf_type), DIMENSION(0:2), TARGET ::  surf_def_h  !< horizontal default surfaces (Up, Down, and Top)
-    TYPE (surf_type), DIMENSION(0:3), TARGET ::  surf_def_v  !< vertical default surfaces (North, South, West, East)
+    TYPE (surf_type), DIMENSION(0:3), TARGET ::  surf_def_v  !< vertical default surfaces (North, South, East, West)
     TYPE (surf_type)                , TARGET ::  surf_lsm_h  !< horizontal natural land surfaces, so far only upward-facing
-    TYPE (surf_type), DIMENSION(0:3), TARGET ::  surf_lsm_v  !< vertical land surfaces (North, South, West, East)
+    TYPE (surf_type), DIMENSION(0:3), TARGET ::  surf_lsm_v  !< vertical land surfaces (North, South, East, West)
     TYPE (surf_type)                , TARGET ::  surf_usm_h  !< horizontal urban surfaces, so far only upward-facing
-    TYPE (surf_type), DIMENSION(0:3), TARGET ::  surf_usm_v  !< vertical urban surfaces (North, South, West, East)
+    TYPE (surf_type), DIMENSION(0:3), TARGET ::  surf_usm_v  !< vertical urban surfaces (North, South, East, West)
 
     INTEGER(iwp) ::  ns_h_on_file(0:2)                       !< total number of horizontal surfaces with the same facing, required for writing restart data 
